
Public Support - Support Request #4238

Some basic questions about ADTF 3.x

2018-09-21 15:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: AUDI Product Issue

Numbers:

 

Department: AEV Affected Products: ADTF 3.3.3

Requester's Priority: Normal Platform:  

Support Level: 2nd Level Topic: ADTF::Common

Resolution: No Customer Feedback FAQ Links:  

Description

Supportanfrage

hier einige Fragen zu ADTF 3 von mir und auch von Schulungsteilnehmern:

Was ist die Intention hinter dem C++ Macro: ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN

Soll daraus mal eine Komfortfunktion werden z.B. über Plugindescription bei einem TimeTriggered Filter direkt einen Timer

Runner hinzufügen zu lassen?

Aktuell sehe ich keinen Effekt, da ich auch einem ThreadTriggered Filter einen TimerRunner anschließen kann und

umgekehrt

Wie kann man einen eigenen Service in den Session Objects auflisten?

Wie ist die Funktion des CMake Macros: adtf_create_plugindescription

Es gibt u.a. das MERGE_DESCRIPTION Parameter

Kann ich darüber z.B. nachträglich integrierte Context Menüs beibehalten ohne dessen XML Tags zu verlieren?

Wie muss man das PLUGIN_SUBDIR Parameter verwendet und welchen Einfluss hat es? Habe es bisher immer leer

gelassen und alles funktioniert.

Wie muss ich DEPENDENT_PLUGINS;DEPENDENT_DYNAMIC_LIBS verwenden um die DLLs in die Plugin Description

zu bekommen?

Lösung

Was ist die Intention hinter dem C++ Macro: ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN

Soll daraus mal eine Komfortfunktion werden z.B. über Plugindescription bei einem TimeTriggered Filter direkt einen

Timer Runner hinzufügen zu lassen?

Aktuell sehe ich keinen Effekt, da ich auch einem ThreadTriggered Filter einen TimerRunner anschließen kann und

umgekehrt

 Das hat nichts miteinander zu tun.

Es erzeugt einfach ein ADTF Plugin, dass es auch als dieses erkannt wird. Nur dann ist es in ADTF Launcher verwendbar, oder aber

auch mit dem Plugin Description Generator.

Es ist dasselbe Makro für Trigger Functions wie ADTF_PLUGIN für Filter/Services & Co.

Die "Magic" dahinter ist gleich 0, siehe Doku ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN

Wie kann man einen eigenen Service in den Session Objects auflisten?

 In dem er in der adtfsystem der adtfsession definiert ist und sich die Instanz im entsprechenden Runlevel befindet.

bsp: Playback Example Session

Zu Beginn sind nur die Services geladen, die auch im RL System definiert sind.

Nach einen Inkrement kommt auch der Playback Service hinzu.
Wie ist die Funktion des CMake Macros: adtf_create_plugindescription

Es gibt u.a. das MERGE_DESCRIPTION Parameter

Kann ich darüber z.B. nachträglich integrierte Context Menüs beibehalten ohne dessen XML Tags zu verlieren?
 Nein, der Plugin Description Generator lädt ein Plugin und erzeugt daraus die Inhalte für die Plugin Description.

Diese kann aber auch manuelle Anteile enthalten, diese werden dann gemerged.

Ist also optional, siehe ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Wie muss man das PLUGIN_SUBDIR Parameter verwendet und welchen Einfluss hat es? Habe es bisher immer leer

gelassen und alles funktioniert.

 Damit gibst du den Install Ordner relativ zu CMAKE_INSTALL_PREFIX an.

Das funktioniert natürlich immer, die Frage, liegt es dann am gewünschten Ort ?

Die Beschreibung dazu findest du ebenso beim ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Wie muss ich DEPENDENT_PLUGINS;DEPENDENT_DYNAMIC_LIBS verwenden um die DLLs in die Plugin Description

zu bekommen?

 Hierbei geht es nicht um DLLs, sondern weitere adtfplugins.

3rd Party Libs (dlls) dann mittels RAW_ARGS

Die Beschreibung dazu findest du ebenso beim ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Siehe z.B. ./src/examples/src/adtf/filters/qt/demo_md_display/

History

#1 - 2018-09-24 09:05 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to AUDI

- Department set to AEV

- Affected Products ADTF 3.3.3 added

#2 - 2018-09-24 16:25 - hidden

- File sessionobjects.png added

- Description updated

- Status changed from In Progress to Customer Feedback Required

Hallo Rick,

Was ist die Intention hinter dem C++ Macro: ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN

Soll daraus mal eine Komfortfunktion werden z.B. über Plugindescription bei einem TimeTriggered Filter direkt einen Timer Runner

hinzufügen zu lassen?

Aktuell sehe ich keinen Effekt, da ich auch einem ThreadTriggered Filter einen TimerRunner anschließen kann und umgekehrt

 Das hat nichts miteinander zu tun.

Es erzeugt einfach ein ADTF Plugin, dass es auch als dieses erkannt wird. Nur dann ist es in ADTF Launcher verwendbar, oder aber auch mit dem

Plugin Description Generator.

Es ist dasselbe Makro für Trigger Functions wie ADTF_PLUGIN für Filter/Services & Co.

Die "Magic" dahinter ist gleich 0, siehe Doku ADTF_TRIGGER_FUNCTION_FILTER_PLUGIN

Wie kann man einen eigenen Service in den Session Objects auflisten?

 In dem er in der adtfsystem der adtfsession definiert ist und sich die Instanz im entsprechenden Runlevel befindet.

bsp: Playback Example Session

Zu Beginn sind nur die Services geladen, die auch im RL System definiert sind.

Nach einen Inkrement kommt auch der Playback Service hinzu.
Wie ist die Funktion des CMake Macros: adtf_create_plugindescription

Es gibt u.a. das MERGE_DESCRIPTION Parameter

Kann ich darüber z.B. nachträglich integrierte Context Menüs beibehalten ohne dessen XML Tags zu verlieren?
 Nein, der Plugin Description Generator lädt ein Plugin und erzeugt daraus die Inhalte für die Plugin Description.

Diese kann aber auch manuelle Anteile enthalten, diese werden dann gemerged.

Ist also optional, siehe ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Wie muss man das PLUGIN_SUBDIR Parameter verwendet und welchen Einfluss hat es? Habe es bisher immer leer gelassen und alles

funktioniert.

 Damit gibst du den Install Ordner relativ zu CMAKE_INSTALL_PREFIX an.

Das funktioniert natürlich immer, die Frage, liegt es dann am gewünschten Ort ?

Die Beschreibung dazu findest du ebenso beim ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Wie muss ich DEPENDENT_PLUGINS;DEPENDENT_DYNAMIC_LIBS verwenden um die DLLs in die Plugin Description zu bekommen?

 Hierbei geht es nicht um DLLs, sondern weitere adtfplugins.

3rd Party Libs (dlls) dann mittels RAW_ARGS

Die Beschreibung dazu findest du ebenso beim ADTF 3 Plugin Description Generator bzw. <ADTF_DIR>/ADTFMacros.cmake.

Siehe z.B. ./src/examples/src/adtf/filters/qt/demo_md_display/

#3 - 2018-10-01 08:47 - hidden

- Project changed from 11 to Public Support

- Subject changed from Allgemeine Fragen ADTF 3 to Some basic questions about ADTF 3.x

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to No Customer Feedback

Kein weiteres Feedback, Doku Verweise kommuniziet.

Ticket kann geschlossen werden.

#4 - 2018-10-09 13:22 - hidden

- Status changed from To Be Closed to Closed
